<!doctype html>
<!-- Generated using FlightSim Checklist Tools by Randolf Lemmont -->
<!-- https://gitlab.com/randolf.lemmont/flightsim-checklist-tools -->
<html lang="en" data-bs-theme="dark">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ title }}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <style>
      .even {
        filter: brightness(90%);
        background-color: #222;
      }
      .footer {
        font-size: smaller;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h1>{{ title }}</h1>
      <div class="accordion" id="checklistgroups">
        {%- for checklistgroup in checklistgroups %}
        {%- set group_loop = loop %}
        <div class="accordion-item">
          <h2 class="accordion-header">
            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#checklistgroup-{{ loop.index }}" aria-expanded="true" aria-controls="checklistgroup-{{ loop.index }}">
              {{ checklistgroup.name }}
            </button>
          </h2>
          <div id="checklistgroup-{{ loop.index }}" class="accordion-collapse collapse" data-bs-parent="#checklistgroups">
            <div class="accordion-body">
              <div class="accordion" id="checklists-{{ group_loop.index }}">
                {%- for checklist in checklistgroup.checklists %}
                <div class="accordion-item">
                  <h2 class="accordion-header">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#checklist-{{ group_loop.index }}-{{ loop.index }}" aria-expanded="true" aria-controls="checklist-{{ group_loop.index}}-{{ loop.index }}">
                      {{ checklist.name }}
                    </button>
                  </h2>
                  <div id="checklist-{{ group_loop.index }}-{{ loop.index }}" class="accordion-collapse collapse" data-bs-parent="#checklists-{{ group_loop.index }}">
                    <div class="accordion-body">
                      <div class="container">
                        {%- for item in checklist["items"] %}
                        <div class="row {{ loop.cycle('odd', 'even') }} checklistitem">
                          <div class="col p-2">{{ item.text }}</div><div class="col text-end p-2">{{ item.response }}</div>
                        </div>
                        {%- endfor %}
                      </div>
                    </div>
                  </div>
                </div>
                {%- endfor %}
              </div>
            </div>
          </div>
        </div>
        {%- endfor %}
      </div>
    </div>
    <div class="container footer">
      <p class="text-center p-3">Generated using <a href="https://gitlab.com/randolf.lemmont/flightsim-checklist-tools">FlightSim Checklist Tools</a> by Randolf Lemmont</p>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
    <script>
      $('.checklistitem').click(function(){
        $(this).toggleClass('text-bg-success');
      });
    </script>
  </body>
</html>
